<template>

  <div>
    <!-- list div -->
    <div>
      <q-list highlight separator no-border>
        <q-list-header>Results <span class="on-right">{{ totalResults }}</span></q-list-header>
        <q-item v-for="r in results" :key="r.id" @click="select(r)" class="text-dark">
          <q-item-side>
            <q-item-tile>
              Job
            </q-item-tile>
          </q-item-side>
          <q-item-main>
            <q-item-tile label>{{ r.name }}</q-item-tile>
            <q-item-tile sublabel lines="1">
              Posting Organization
            </q-item-tile>
          </q-item-main>
          <q-item-side right>
            <q-item-tile class="text-positive">
              Date
            </q-item-tile>
          </q-item-side>
        </q-item>
      </q-list>
    </div>

    <!-- pagination div -->
    <div class="row justify-center">
      <q-pagination
        input
        v-model="myPage"
        :min="1"
        :max="numPages"
        @change="changePage"
      />
    </div>

  </div>

</template>

<script>
import {
  QIcon,
  QList,
  QListHeader,
  QItem,
  QItemSide,
  QItemMain,
  QItemSeparator,
  QItemTile,
  QPagination,
  QCheckbox
} from 'quasar'

export default {
  name: 'JobList',
  components: {
    QIcon,
    QList,
    QListHeader,
    QItem,
    QItemSide,
    QItemMain,
    QItemSeparator,
    QItemTile,
    QPagination,
    QCheckbox
  },
  props: ['totalResults', 'results', 'page', 'numPages'],
  data () {
    return {
      myPage: 1
    }
  },
  computed: {
  },
  methods: {
    changePage () {
      this.$emit('changePage', this.myPage)
    },
    select (job) {
      this.$emit('select', job)
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
